| API Docs for SAX and DOM |

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SAXNotRecognizedException Class Reference

Inheritance diagram for SAXNotRecognizedException:

[legend]

List of all members.

## Public Member Functions

| SAXNotRecognizedException (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| SAXNotRecognizedException (const XMLCh *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXNotRecognizedException (const char *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXNotRecognizedException (const SAXException &toCopy)
| Copy constructor.

## Constructor & Destructor Documentation

SAXNotRecognizedException::SAXNotRecognizedException | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

SAXNotRecognizedException::SAXNotRecognizedException | ( | const XMLCh *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Create a new SAXException.

Parameters:

  | msg | The error or warning message.
  | manager | Pointer to the memory manager to be used to allocate objects.

SAXNotRecognizedException::SAXNotRecognizedException | ( | const char *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Create a new SAXException.

Parameters:

  | msg | The error or warning message.
  | manager | Pointer to the memory manager to be used to allocate objects.

SAXNotRecognizedException::SAXNotRecognizedException | ( | const SAXException & | toCopy | ) |

Copy constructor.

Parameters:

  | toCopy | The exception to be copy constructed

The documentation for this class was generated from the following file:

- SAXException.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.